For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Current Org Users
      • POSTCreate Current Org User
      • GETGet Current Org User
      • PUTUpdate Current Org User
      • DELDelete Current Org User
      • GETList Partner Users
      • POSTCreate Partner User
      • GETGet Partner User
      • PUTUpdate Partner User
      • DELDelete Partner User
      • POSTCreate Partner User API Key
Logo
Log inBook a demo
API ReferenceUsers

List Current Org Users

GET
https://app.polytomic.com/api/organization/users
GET
/api/organization/users
$curl https://app.polytomic.com/api/organization/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "email": "jane.doe@polytomic.com",
5 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
6 "organization_id": "9b2d7f4e-1c3a-4f5b-8d2e-7a9f1c2b3d4e",
7 "role_ids": [
8 "248df4b7-aa70-47b8-a036-33ac447e668d"
9 ],
10 "role": "admin"
11 }
12 ]
13}
Lists every user in the caller's current organization. Returns user records including each user's ID, email, and assigned roles.
Was this page helpful?
Previous

Create Current Org User

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects or null

Errors

403
Forbidden Error
404
Not Found Error